This service will be undergoing maintenance at 00:00 UTC, 2016-08-01. It is expected to last about 1 hours
Bug 690723 - [l10n] publican doesn't process "()" characters in the .pot filename
[l10n] publican doesn't process "()" characters in the .pot filename
Status: CLOSED CURRENTRELEASE
Product: Publican
Classification: Community
Component: publican (Show other bugs)
3.0
Unspecified Unspecified
unspecified Severity unspecified
: 3.0
: ---
Assigned To: Jeff Fearn
Ruediger Landmann
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2011-03-25 02:36 EDT by Chester Cheng
Modified: 2016-06-23 00:45 EDT (History)
4 users (show)

See Also:
Fixed In Version: 3.0.0
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2012-10-30 23:11:44 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:


Attachments (Terms of Use)

  None (edit)
Description Chester Cheng 2011-03-25 02:36:25 EDT
Description of problem:
When there's "(" and/or ")" in the filename of a .pot file, publican stop working.

Version-Release number of selected component (if applicable):
publican-2.5-1.el5

How reproducible:
Always.

Steps to Reproduce:
1. svn co https://svn.devel.redhat.com/repos/ecs/JBoss_Enterprise_Portal_Platform/5.1/FINAL/User_Guide JBoss_Enterprise_Portal_Platform/5.1/FINAL/User_Guide
2. cd JBoss_Enterprise_Portal_Platform/5.1/FINAL/User_Guide
3. publican update_pot; publican update_po --lang ja-JP
  
Actual results:
Processing file pot/modules/language/Right_To_Left_Support_(RTL).pot -> ja-JP/modules/language/Right_To_Left_Support_(RTL).po
sh: -c: line 0: syntax error near unexpected token `('
sh: -c: line 0: `msgmerge --no-wrap --quiet --backup=none --update ja-JP/modules/language/Right_To_Left_Support_(RTL).po pot/modules/language/Right_To_Left_Support_(RTL).pot'
Fatal Error: msgmerge failed to merge updates. POT File: pot/modules/language/Right_To_Left_Support_(RTL).pot. Po File: ja-JP/modules/language/Right_To_Left_Support_(RTL).po at /usr/bin/publican line 654


Expected results:
.po files should be generated without problem.

Additional info:
Comment 1 Jeff Fearn 2011-04-18 02:10:10 EDT
This should have been fixed by #661569, requires testing.
Comment 2 Dayle Parker 2012-04-26 23:46:49 EDT
Fix verified on Fedora 16 with Publican 3.0-0.fc16.t166.

.po files are generated without any problem, even if they have parentheses - 

ie. User_Guide/pot/modules/Right_To_Left_Support_(RTL).pot
    User_Guide/ja-JP/modules/language/Right_To_Left_Support_(RTL).po

Note You need to log in before you can comment on or make changes to this bug.